Package org.eclipse.microprofile.openapi.annotations

## Annotation Type ExternalDocumentation

    @Target({METHOD,TYPE})
    @Retention(RUNTIME)
    @Inherited
    public @interface ExternalDocumentation

This annotation allows referencing an external resource for extended documentation.

When it is applied to a method the value of the annotation is added to the corresponding OpenAPI operation definition.

When it is applied to a type and one or more of the fields are not empty strings the annotation value is added to the OpenAPI document root. If more than one non-empty annotation is applied to a type in the application or if the externalDocs field of the OpenAPIDefinition annotation is supplied the results are not defined.

See Also:
  OpenAPI Specification External Documentation Object

### Optional Element Summary

Optional Elements
`String` `description` A short description of the target documentation.
`Extension[]` `extensions` List of extensions to be added to the `ExternalDocumentation` model corresponding to the containing annotation.
`String` `url` The URL for the target documentation.

### Element Detail

#### description

    String description

A short description of the target documentation.

Returns:
  the documentation description

Default:
  ""

#### url

    String url

The URL for the target documentation. Value must be in the format of a URL.

Returns:
  the documentation URL

Default:
  ""

#### extensions

    Extension[] extensions

List of extensions to be added to the `ExternalDocumentation` model corresponding to the containing annotation.

Returns:
  array of extensions
Since:
  3.1

Default:
  {}